Subject: Re: linux-next: manual merge of the mfd tree with the v4l-dvb tree

From: Samuel Ortiz <[email-masked]>
Date: Wed, 10 Apr 2013 11:58:52 +0200

Hi Mauro,

On Wed, Apr 10, 2013 at 06:48:28AM -0300, Mauro Carvalho Chehab wrote:
> Em Wed, 10 Apr 2013 08:42:53 +0200
> Samuel Ortiz <[email-masked]> escreveu:
> 
> > Hi Stephen,
> > 
> > On Wed, Apr 10, 2013 at 01:48:13PM +1000, Stephen Rothwell wrote:
> > > Hi Samuel,
> > > 
> > > Today's linux-next merge of the mfd tree got a conflict in
> > > drivers/mfd/Kconfig between commit 3f8ec5df11aa ("[media] mfd: Add header
> > > files and Kbuild plumbing for SI476x MFD core") from the v4l-dvb tree and
> > > commit ab85b120e692 ("mfd: Kconfig alphabetical re-ordering") from the
> > > mfd tree.
> > I'm surprised the v4l-dvb tree is carrying this patchset because I haven't
> > ACKed it. 
> 
> Sorry. Not sure why I understood that you gave your ack. Perhaps I miss-read
> one of the comments of that thread.
No worries, really. This has been a long thread...

> > I was planning to take the MFD bits of it and provide Mauro a branch
> > to pull from (Including the mfd/Kconfig change).
> > Mauro, could we please go that way instead ? This conflict does not look
> > pretty to me.
> 
> Sure. Do you have such branch already? As the patches are on my main
> tree[1], 
I don't have it yet. I asked Andrei to add a header to one of the MFD patches
because his patchset is currently not bisectable (The MFD patches include a
media/ header that is created later in the patchset). Once he has that done,
I'll create a branch for you to merge. I'll let you know when that's ready.

Cheers,
Samuel.

-- 
Intel Open Source Technology Centre
http://oss.intel.com/